[已修复]0.57安卓编译报错找不到support-vector-drawable.aar



  • 这个错误发生在10月23日之后(已在0.57.4版本修复),某些朋友可能由于gradle缓存不会碰到这个问题


    貌似又有人错误在jcenter上传了android的support包(现在android的support包应该由google官方的maven仓库统一管理,不应该放在jcenter中)
    但目前rn的build.gradle中jcenter仓库的优先级排在google仓库之上,所以gradle会先从jcenter中解析(10.23日突然有人上传27.1.1版本的部分support包,但仅有pom描述文件,没有完整aar包,导致下载失败报错)


    所以目前的解决办法是:
    打开android/build.gradle,将google()仓库放到jcenter()仓库之上,注意是allprojects里的repositories



  • 还可以引入淘宝的库